use actix_web::{web, Responder};
use askama::Template;

use crate::utils::{ApplicationError, TemplateResponse};

use brass_db::models::User;

#[derive(Template)]
#[template(path = "user/profile_change_password.html")]
struct ProfileChangePasswordTemplate {}

#[actix_web::get("/users/changepassword")]
pub async fn get(_user: web::ReqData<User>) -> Result<impl Responder, ApplicationError> {
    let template = ProfileChangePasswordTemplate {};

    Ok(template.to_response()?)
}
